--- old/usr/src/uts/common/inet/tcp/tcp_input.c	2014-07-28 07:43:46.793612364 -0400
+++ new/usr/src/uts/common/inet/tcp/tcp_input.c	2014-07-28 07:43:46.799395548 -0400
@@ -1939,7 +1939,8 @@
 		}
 		if (connp->conn_sqp != new_sqp) {
 			while (connp->conn_sqp != new_sqp)
-				(void) casptr(&connp->conn_sqp, sqp, new_sqp);
+				(void) atomic_cas_ptr(&connp->conn_sqp, sqp,
+				    new_sqp);
 			/* No special MT issues for outbound ixa_sqp hint */
 			connp->conn_ixa->ixa_sqp = new_sqp;
 		}
@@ -1947,8 +1948,8 @@
 		do {
 			conn_flags = connp->conn_flags;
 			conn_flags |= IPCL_FULLY_BOUND;
-			(void) cas32(&connp->conn_flags, connp->conn_flags,
-			    conn_flags);
+			(void) atomic_cas_32(&connp->conn_flags,
+			    connp->conn_flags, conn_flags);
 		} while (!(connp->conn_flags & IPCL_FULLY_BOUND));
 
 		mutex_exit(&connp->conn_fanout->connf_lock);
